PHP Manual
Prev |  | Next

# hash_update_file

(no version information, might be only in CVS)

hash_update_file -- Pump data into an active hashing context from a file

## Description

bool hash_update_file ( resource context, string filename [, resource context] )

## Parameters

`context`

  Hashing context returned by hash_init().

`filename`

  URL describing location of file to be hashed; Supports fopen wrappers.

`context`

  Stream context as returned by stream_context_create().

## Return Values

Returns `TRUE` on success or `FALSE` on failure.

## See Also

hash_init()
hash_update()
hash_update_stream()
hash_final()
hash()
hash_file()

Prev | Home | Next
hash_init | Up | hash_update_stream